Difference between revisions of "Template:Installation/Preparation/Debian"

From diaspora* project wiki
Jump to: navigation, search
(Install Packages: Note differences for stretch)
m (Reverted edits by Juliangilbey (talk) to last revision by CSammy)
Line 8: Line 8:
 
|lang=bash}}
 
|lang=bash}}
 
{{#ifeq: {{#var:version}}|Wheezy|{{Template:Installation/Debian/Curl}}}}
 
{{#ifeq: {{#var:version}}|Wheezy|{{Template:Installation/Debian/Curl}}}}
 
{{#ifeq: {{#var:version}}|Wheezy||Note: If you are installing on testing/stretch, you will need to replace libssl-dev with libssl1.0-dev, and also install the extra packages: libyaml-dev libgdbm-dev}}
 
 
 
=== Install the database ===
 
=== Install the database ===
  

Revision as of 08:37, 13 January 2017

Install Packages

As root run:

apt-get install build-essential cmake libssl-dev libcurl4-openssl-dev libxml2-dev libxslt-dev imagemagick ghostscript curl libmagickwand-dev git  redis-server nodejs

Install the database

Skip this step if you already have one.

See the Debian wiki.